Bug 1253744 - segfault while trying to connect to VPN
Summary: segfault while trying to connect to VPN
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL:
Whiteboard:
: 1255028 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-14 14:43 UTC by Colin Walters
Modified: 2015-11-19 11:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:02:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Colin Walters 2015-08-14 14:43:47 UTC
# rpm -q NetworkManager
NetworkManager-1.0.4-6.el7.x86_64

(gdb) t a a bt

Thread 4 (Thread 0x7f5c70b5b700 (LWP 3608)):
Python Exception <type 'exceptions.RuntimeError'> Cannot locate object file for block.: 
#0  0x00007f5c79574b7d in poll#1  0x00007f5c79aa9a74 in g_main_context_iterate (priority=2147483647, n_fds=2, fds=0x7f5c6c0008e0, timeout=-1, context=0x7f5c7dd40710) at gmain.c:4074
#2  0x00007f5c79aa9a74 in g_main_context_iterate (context=context@entry=0x7f5c7dd40710, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3774
#3  0x00007f5c79aa9b9c in g_main_context_iteration (context=0x7f5c7dd40710, may_block=may_block@entry=1) at gmain.c:3840
#4  0x00007f5c79aa9bd9 in glib_worker_main (data=<optimized out>) at gmain.c:5587
#5  0x00007f5c79acf4e5 in g_thread_proxy (data=0x7f5c7dd41000) at gthread.c:764
#6  0x00007f5c7ba20dc5 in start_thread (arg=0x7f5c70b5b700) at pthread_create.c:308
Python Exception <type 'exceptions.RuntimeError'> Cannot locate object file for block.: 
#7  0x00007f5c7957f1cd in clone
Thread 2 (Thread 0x7f5c6b7fe700 (LWP 3616)):
Python Exception <type 'exceptions.RuntimeError'> Cannot locate object file for block.: 
#0  0x00007f5c79574b7d in poll#1  0x00007f5c79aa9a74 in g_main_context_iterate (priority=2147483647, n_fds=2, fds=0x7f5c5c0010c0, timeout=-1, context=0x7f5c6400bd00) at gmain.c:4074
#2  0x00007f5c79aa9a74 in g_main_context_iterate (context=0x7f5c6400bd00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3774
#3  0x00007f5c79aa9dba in g_main_loop_run (loop=0x7f5c6400db80) at gmain.c:3973
#4  0x00007f5c7a0c32f6 in gdbus_shared_thread_func (user_data=0x7f5c6400bcd0) at gdbusprivate.c:273
#5  0x00007f5c79acf4e5 in g_thread_proxy (data=0x7f5c7dd416d0) at gthread.c:764
#6  0x00007f5c7ba20dc5 in start_thread (arg=0x7f5c6b7fe700) at pthread_create.c:308
Python Exception <type 'exceptions.RuntimeError'> Cannot locate object file for block.: 
#7  0x00007f5c7957f1cd in clone
Thread 1 (Thread 0x7f5c7cfe28c0 (LWP 3607)):
#0  0x00007f5c7d1252d4 in nm_ip4_config_get_num_addresses ()
#1  0x00007f5c7d0b7e54 in _update_ip4_address ()
#2  0x00007f5c7d0be0a0 in nm_device_set_ip4_config ()
#3  0x00007f5c7d0c6436 in _cleanup_generic_post ()
#4  0x00007f5c7d0c7fd2 in _set_state_full ()
#5  0x00007f5c7d135c6b in remove_device ()
#6  0x00007f5c7d13a54a in _platform_link_cb_idle ()
#7  0x00007f5c79aa979a in g_main_context_dispatch (context=0x7f5c7dd30400) at gmain.c:3109
#8  0x00007f5c79aa979a in g_main_context_dispatch (context=context@entry=0x7f5c7dd30400) at gmain.c:3708
#9  0x00007f5c79aa9ae8 in g_main_context_iterate (context=0x7f5c7dd30400, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3779
#10 0x00007f5c79aa9dba in g_main_loop_run (loop=0x7f5c7dd304c0) at gmain.c:3973
#11 0x00007f5c7d0a2476 in main ()

Comment 3 Dan Williams 2015-08-14 15:29:08 UTC
Fixed upstream in git master and nm-1-0 (4956ac647519c86a94595a834356aad2dba5c6e3).  Should get into the next RHEL build, but possibly we could cherry-pick the patch earlier.

Comment 5 Thomas Haller 2015-08-19 14:47:29 UTC
*** Bug 1255028 has been marked as a duplicate of this bug. ***

Comment 6 Vladimir Benes 2015-09-10 20:28:09 UTC
Haven't seen any crashes neither for libreswan nor for openvpn.

Comment 7 errata-xmlrpc 2015-11-19 11:02:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.